Package ru.bitel.bgbilling.modules.tinkoff.server.bean

# Class AutopaymentManager

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.bgbilling.common.dao.AbstarctDaoConstant
ru.bitel.bgbilling.common.dao.AbstractDao<Autopayment>
ru.bitel.bgbilling.kernel.contract.autopayment.server.bean.AbstractAutopaymentManager
ru.bitel.bgbilling.modules.tinkoff.server.bean.AutopaymentManager

public class AutopaymentManager extends AbstractAutopaymentManager

- ## Field Summary

  ### Fields inherited from class ru.bitel.bgbilling.common.dao.AbstractDao

  `orderByPattern`

  ### Fields inherited from class ru.bitel.bgbilling.common.dao.AbstarctDaoConstant

  `con, ERROR, fields, moduleId, SQL_ALL, SQL_AND, SQL_CALC_FOUND_ROWS, SQL_DELETE, SQL_DISTINCT, SQL_EQ, SQL_EQCS, SQL_FROM, SQL_GROUP, SQL_IN, SQL_INSERT, SQL_JOIN, SQL_LEFT_JOIN, SQL_LIMIT, SQL_NOT_IN, SQL_ON, SQL_ON_DUPLICATE_KEY_UPDATE, SQL_ORDER, SQL_SELECT, SQL_SET, SQL_UPDATE, SQL_VALUES, SQL_WHERE, tableName`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AutopaymentManager(Connection con, int moduleId)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `autopaymentOff(Autopayment autopayment)`
  `void`
  `invokeAutopayment(int contractId, BigDecimal amount)`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.contract.autopayment.server.bean.AbstractAutopaymentManager

  `getAutopayment, getCurrentAutopayment, getFromRS, registerAutopayment, registerAutopayment, searchActivateAutopayment, searchAutopayment, searchCurrentAutopayment, unregisterAutopayment, updateAutopayment, updateImpl`

  ### Methods inherited from class ru.bitel.bgbilling.common.dao.AbstractDao

  `delete, deleteImpl, eq, get, getById, getImpl, getListFromRS, getPeriod, getQueryById, getSQLOrder, list, list, listImpl, listImpl, listImplPS, listImplPS, ormFromResultSet, ormUpdateImpl, ormUpdateImpl, ormUpdateImpl, ormUpdateImpl, psSetPeriod, queryPeriod, setStatementParam, update`

  ### Methods inherited from class ru.bitel.bgbilling.common.dao.AbstarctDaoConstant

  `getSQLOrder, getTableName, sqlLimit`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### AutopaymentManager

    public AutopaymentManager(Connection con, int moduleId)

- ## Method Details

  - ### autopaymentOff

    public void autopaymentOff(Autopayment autopayment)
    Overrides:
      `autopaymentOff` in class `AbstractAutopaymentManager`

  - ### invokeAutopayment

    public void invokeAutopayment(int contractId, BigDecimal amount) throws Exception
    Overrides:
      `invokeAutopayment` in class `AbstractAutopaymentManager`
    Throws:
      `Exception`